Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
images
/
live
/
html
Live Google Images SERP HTML
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/images/live/html \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_code": 123,
  "location_name": "<string>",
  "location_coordinate": "<string>",
  "language_code": "<string>",
  "language_name": "<string>",
  "device": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/images/live/html"

payload = {
    "keyword": "<string>",
    "location_code": 123,
    "location_name": "<string>",
    "location_coordinate": "<string>",
    "language_code": "<string>",
    "language_name": "<string>",
    "device": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    keyword: '<string>',
    location_code: 123,
    location_name: '<string>',
    location_coordinate: '<string>',
    language_code: '<string>',
    language_name: '<string>',
    device: '<string>'
  })
};

fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/images/live/html', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

Keyword to search for

location_code
integer

Search engine location code

location_name
string

Full name of search engine location

location_coordinate
string

GPS coordinates of a location

language_code
string

Search engine language code

language_name
string

Full name of search engine language

device
string

Device type: desktop or mobile

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of HTML results